/*
 Navicat Premium Dump SQL

 Source Server         : qdhome.iot321.top
 Source Server Type    : MySQL
 Source Server Version : 50740 (5.7.40-log)
 Source Host           : qdhome.iot321.top:33003
 Source Schema         : pla-chem-sim-dev-1

 Target Server Type    : MySQL
 Target Server Version : 50740 (5.7.40-log)
 File Encoding         : 65001

 Date: 11/12/2024 02:31:16
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sim_sim_msg
-- ----------------------------
DROP TABLE IF EXISTS `sim_sim_msg`;
CREATE TABLE `sim_sim_msg`  (
  `sim_msg_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '模拟器报文ID',
  `sim_id` bigint(20) NOT NULL COMMENT '模拟器ID',
  `state` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0' COMMENT '状态 0初始值 1成功 2失败',
  `priority` int(8) NULL DEFAULT NULL COMMENT '优先级',
  `send_msg` char(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '发送报文',
  `send_time` datetime NULL DEFAULT NULL COMMENT '发送时间',
  `receive_msg` char(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '接收报文',
  `receive_time` datetime NULL DEFAULT NULL COMMENT '接收时间',
  `retry_count` int(8) NULL DEFAULT 0 COMMENT '重试次数',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`sim_msg_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-模拟器报文表' ROW_FORMAT = DYNAMIC;

SET FOREIGN_KEY_CHECKS = 1;
